Get Qualified Offers
1 min
GET
https://api.upstartcommerce.com/v1/finance-offers/qualified
providerstringThe provider being used to qualify the offers.
card-numberstringThe consumer account number being qualified.
purchase-amountnumber<float>The amount that the qualification is based on.
currencystring<p>The <a href="https://en.wikipedia.org/wiki/ISO_4217" target="_blank">3-character ISO code</a>. Must be one of the supported currencies (currently only USD is supported).</p>
timezoneIdstring<p>Timezone id (tz database). If not specified - tenant's default timezone is used.</p>
productIdsarray<p>Optional list of product ids in the cart. When supplied, the response includes:
(a) general finance offers (those without any product association), and
(b) product-specific finance offers associated with at least one of the supplied productIds.
When omitted or empty, the endpoint returns all qualifying offers (legacy behaviour).</p>
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-relevant set of finance offers found and returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404Not Found
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/finance-offers/qualified?provider=Synchrony&card-number=432984343222&purchase-amount=1499.99¤cy=USD' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'